Subject: Re: [TR] Thermostats

From: "Randall" <[email-masked]>
Date: Tue, 9 Apr 2013 07:38:10 -0700

> I have two bellows type thermostats, one that opens at 160 
> degrees f and one that opens at 179 degrees.  Any suggestions 
> as to which one I use.  The car is in Florida and has a TR3 
> engine with alloy radiator.

If I was going to use a bellows thermostat in FL, I would definitely go with
the 160F (as original).  The bellows move relatively slow (compared to the
later wax capsule type), so they won't be fully open until a substantially
higher temperature.

According to the Bentley, the early bellows-type thermostat started to open
at 70C (158F) and wasn't fully open until 92C (197F).

-- Randall 

** [email-masked] **

Archive: http://www.team.net/archive